Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDiagram

All Superinterfaces:
  BatchValidation, EditorCandies, EditPartCandies, EObject, GenCommonBase, GenContainerBase, LinkConstraints, MeasurementUnit, Notifier, PackageNames, ProviderClassNames, Shortcuts

All Known Implementing Classes:
  GenDiagramImpl

public interface GenDiagram
extends GenContainerBase, PackageNames, ProviderClassNames, LinkConstraints, EditPartCandies, EditorCandies, Shortcuts, BatchValidation, MeasurementUnit

A representation of the model object 'Gen Diagram'.

The following features are supported:

- `Editor Gen`
- `Domain Diagram Element`
- `Child Nodes`
- `Top Level Nodes`
- `Links`
- `Compartments`
- `Palette`
- `Synchronized`

See Also:
  `GMFGenPackage.getGenDiagram()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='diagramRunTimeClass.ecoreClass.eAllSuperTypes->including(diagramRunTimeClass.ecoreClass)->one(ePackage.name = \'notation\' and name = \'Diagram\')' description='\'Diagram Runtime Class\' must be a notation::Diagram or sub-class'"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`EList` `getAllChildContainers()`
`EList` `getAllContainers()`
`EList` `getAllNodes()`
`EList` `getChildNodes()` Returns the value of the 'Child Nodes' containment reference list.
`EList` `getCompartments()` Returns the value of the 'Compartments' containment reference list.
`GenClass` `getDomainDiagramElement()` Returns the value of the 'Domain Diagram Element' reference
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getElementInitializersClassName()` Gets the name of the class to hold the initializer methods for domain elements
`java.lang.String` `getElementInitializersPackageName()` Gets the name of the package to hold the element initializers class
`EList` `getLinks()` Returns the value of the 'Links' containment reference list.
`java.lang.String` `getMetaPackageName(ImportAssistant importManager)` Shorthand for `importManager.getImportedName(genDiagram.getDomainDiagramElement().getGenPackage().getQualifiedPackageInterfaceName())` NOTE: genPackage for domainDiagramElement only (not editor-wide domain model!)
`Palette` `getPalette()` Returns the value of the 'Palette' containment reference.
`EList` `getTopLevelNodes()` Returns the value of the 'Top Level Nodes' containment reference list.
`boolean` `isSynchronized()` Returns the value of the 'Synchronized' attribute.
`void` `setDomainDiagramElement(GenClass value)` Sets the value of the '`Domain Diagram Element`' reference
`void` `setPalette(Palette value)` Sets the value of the '`Palette`' containment reference
`void` `setSynchronized(boolean value)` Sets the value of the '`Synchronized`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.PackageNames
`getEditCommandsPackageName, getEditHelpersPackageName, getEditPartsPackageName, getEditPoliciesPackageName, getNotationViewFactoriesPackageName, getProvidersPackageName, setEditCommandsPackageName, setEditHelpersPackageName, setEditPartsPackageName, setEditPoliciesPackageName, setNotationViewFactoriesPackageName, setProvidersPackageName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ProviderClassNames

`getAbstractParserClassName, getAbstractParserQualifiedClassName, getContributionItemProviderClassName, getContributionItemProviderQualifiedClassName, getEditPartProviderClassName, getEditPartProviderPriority, getEditPartProviderQualifiedClassName, getElementTypesClassName, getElementTypesQualifiedClassName, getIconProviderClassName, getIconProviderPriority, getIconProviderQualifiedClassName, getModelingAssistantProviderClassName, getModelingAssistantProviderPriority, getModelingAssistantProviderQualifiedClassName, getNotationViewProviderClassName, getNotationViewProviderPriority, getNotationViewProviderQualifiedClassName, getPaletteProviderClassName, getPaletteProviderPriority, getPaletteProviderQualifiedClassName, getParserProviderClassName, getParserProviderPriority, getParserProviderQualifiedClassName, getPropertyProviderClassName, getPropertyProviderPriority, getPropertyProviderQualifiedClassName, getStructuralFeatureParserClassName, getStructuralFeatureParserQualifiedClassName, getStructuralFeaturesParserClassName, getStructuralFeaturesParserQualifiedClassName, setAbstractParserClassName, setContributionItemProviderClassName, setEditPartProviderClassName, setEditPartProviderPriority, setElementTypesClassName, setIconProviderClassName, setIconProviderPriority, setModelingAssistantProviderClassName, setModelingAssistantProviderPriority, setNotationViewProviderClassName, setNotationViewProviderPriority, setPaletteProviderClassName, setPaletteProviderPriority, setParserProviderClassName, setParserProviderPriority, setPropertyProviderClassName, setPropertyProviderPriority, setStructuralFeatureParserClassName, setStructuralFeaturesParserClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.LinkConstraints
`getLinkCreationConstraintsClassName, getLinkCreationConstraintsQualifiedClassName, hasLinkCreationConstraints`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EditPartCandies

`getBaseEditHelperClassName, getBaseEditHelperQualifiedClassName, getBaseExternalNodeLabelEditPartClassName, getBaseExternalNodeLabelEditPartQualifiedClassName, getBaseGraphicalNodeEditPolicyClassName, getBaseGraphicalNodeEditPolicyQualifiedClassName, getBaseItemSemanticEditPolicyClassName, getBaseItemSemanticEditPolicyQualifiedClassName, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getEditPartFactoryClassName, getEditPartFactoryQualifiedClassName, getExternalNodeLabelHostLayoutEditPolicyClassName, getExternalNodeLabelHostLayoutEditPolicyQualifiedClassName, getReferenceConnectionEditPolicyClassName, getReferenceConnectionEditPolicyQualifiedClassName, getReorientConnectionViewCommandClassName, getReorientConnectionViewCommandQualifiedClassName, getTextNonResizableEditPolicyClassName, getTextNonResizableEditPolicyQualifiedClassName, getTextSelectionEditPolicyClassName, getTextSelectionEditPolicyQualifiedClassName, setBaseEditHelperClassName, setBaseExternalNodeLabelEditPartClassName, setBaseGraphicalNodeEditPolicyClassName, setBaseItemSemanticEditPolicyClassName, setCanonicalEditPolicyClassName, setEditPartFactoryClassName, setExternalNodeLabelHostLayoutEditPolicyClassName, setReferenceConnectionEditPolicyClassName, setReorientConnectionViewCommandClassName, setTextNonResizableEditPolicyClassName, setTextSelectionEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EditorCandies

`generateInitDiagramAction, getCreationWizardCategoryID, getCreationWizardClassName, getCreationWizardIconPath, getCreationWizardIconPathX, getCreationWizardPageClassName, getCreationWizardPageQualifiedClassName, getCreationWizardQualifiedClassName, getDiagramEditorUtilClassName, getDiagramEditorUtilQualifiedClassName, getDiagramFileCreatorClassName, getDiagramFileCreatorQualifiedClassName, getDocumentProviderClassName, getDocumentProviderQualifiedClassName, getEditingDomainID, getElementChooserClassName, getElementChooserQualifiedClassName, getInitDiagramFileActionClassName, getInitDiagramFileActionQualifiedClassName, getLoadResourceActionClassName, getLoadResourceActionQualifiedClassName, getMatchingStrategyClassName, getMatchingStrategyQualifiedClassName, getNewDiagramFileWizardClassName, getNewDiagramFileWizardQualifiedClassName, getPreferenceInitializerClassName, getPreferenceInitializerQualifiedClassName, getVisualIDRegistryClassName, getVisualIDRegistryQualifiedClassName, setCreationWizardCategoryID, setCreationWizardClassName, setCreationWizardIconPath, setCreationWizardPageClassName, setDiagramEditorUtilClassName, setDiagramFileCreatorClassName, setDocumentProviderClassName, setEditingDomainID, setElementChooserClassName, setInitDiagramFileActionClassName, setLoadResourceActionClassName, setMatchingStrategyClassName, setNewDiagramFileWizardClassName, setPreferenceInitializerClassName, setVisualIDRegistryClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Shortcuts

`generateCreateShortcutAction, generateShortcutIcon, getContainsShortcutsTo, getCreateShortcutActionClassName, getCreateShortcutActionQualifiedClassName, getShortcutsDecoratorProviderClassName, getShortcutsDecoratorProviderPriority, getShortcutsDecoratorProviderQualifiedClassName, getShortcutsProvidedFor, setCreateShortcutActionClassName, setShortcutsDecoratorProviderClassName, setShortcutsDecoratorProviderPriority`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.BatchValidation

`getMarkerNavigationProviderClassName, getMarkerNavigationProviderPriority, getMarkerNavigationProviderQualifiedClassName, getMetricProviderClassName, getMetricProviderPriority, getMetricProviderQualifiedClassName, getMetricViewID, getValidationDecoratorProviderClassName, getValidationDecoratorProviderPriority, getValidationDecoratorProviderQualifedClassName, getValidationDiagnosticMarkerType, getValidationProviderClassName, getValidationProviderPriority, getValidationProviderQualifiedClassName, isValidationDecorators, isValidationEnabled, setMarkerNavigationProviderClassName, setMarkerNavigationProviderPriority, setMetricProviderClassName, setMetricProviderPriority, setValidationDecoratorProviderClassName, setValidationDecoratorProviderPriority, setValidationDecorators, setValidationEnabled, setValidationProviderClassName, setValidationProviderPriority`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.MeasurementUnit
`getUnits, setUnits`

Field Detail

### CLASS_NAME_PREFIX

    public static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenDiagram_EditorGen()`, `GenEditorGenerator.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" changeable="false"

### getDomainDiagramElement

    public GenClass getDomainDiagramElement()

  Returns the value of the 'Domain Diagram Element' reference.

  If the meaning of the 'Domain Diagram Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Diagram Element' reference.
  See Also:
    `GenDiagram.setDomainDiagramElement(GenClass)`, `GMFGenPackage.getGenDiagram_DomainDiagramElement()`
  ** Generated **
  Model:

### setDomainDiagramElement

    public void setDomainDiagramElement(GenClass value)

  Sets the value of the '`Domain Diagram Element`' reference.

  Parameters:
    `value` - the new value of the 'Domain Diagram Element' reference.
  See Also:
    `GenDiagram.getDomainDiagramElement()`
  ** Generated **

### getChildNodes

    public EList getChildNodes()

  Returns the value of the 'Child Nodes' containment reference list. The list contents are of type `GenChildNode`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Child Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_ChildNodes()`, `GenChildNode.getDiagram()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenChildNode" opposite="diagram" containment="true"

### getTopLevelNodes

    public EList getTopLevelNodes()

  Returns the value of the 'Top Level Nodes' containment reference list. The list contents are of type `GenTopLevelNode`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Top Level Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Top Level Nodes' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_TopLevelNodes()`, `GenTopLevelNode.getDiagram()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenTopLevelNode" opposite="diagram" containment="true"

### getLinks

    public EList getLinks()

  Returns the value of the 'Links' containment reference list. The list contents are of type `GenLink`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Links' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Links' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Links()`, `GenLink.getDiagram()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenLink" opposite="diagram" containment="true"

### getCompartments

    public EList getCompartments()

  Returns the value of the 'Compartments' containment reference list. The list contents are of type `GenCompartment`. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFGenPackage.getGenDiagram_Compartments()`, `GenCompartment.getDiagram()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenCompartment" opposite="diagram" containment="true"

### getPalette

    public Palette getPalette()

  Returns the value of the 'Palette' containment reference. It is bidirectional and its opposite is '`Diagram`'.

  If the meaning of the 'Palette' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette' containment reference.
  See Also:
    `GenDiagram.setPalette(Palette)`, `GMFGenPackage.getGenDiagram_Palette()`, `Palette.getDiagram()`
  ** Generated **
  Model:
    opposite="diagram" containment="true"

### setPalette

    public void setPalette(Palette value)

  Sets the value of the '`Palette`' containment reference.

  Parameters:
    `value` - the new value of the 'Palette' containment reference.
  See Also:
    `GenDiagram.getPalette()`
  ** Generated **

### isSynchronized

    public boolean isSynchronized()

  Returns the value of the 'Synchronized' attribute. The default value is `"true"`.

  If the meaning of the 'Synchronized' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Synchronized' attribute.
  See Also:
    `GenDiagram.setSynchronized(boolean)`, `GMFGenPackage.getGenDiagram_Synchronized()`
  ** Generated **
  Model:
    default="true"

### setSynchronized

    public void setSynchronized(boolean value)

  Sets the value of the '`Synchronized`' attribute.

  Parameters:
    `value` - the new value of the 'Synchronized' attribute.
  See Also:
    `GenDiagram.isSynchronized()`
  ** Generated **

### getAllNodes

    public EList getAllNodes()

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenNode"

### getAllChildContainers

    public EList getAllChildContainers()

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenChildContainer"

### getAllContainers

    public EList getAllContainers()

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.gmf.codegen.gmfgen.GenContainerBase"

### getElementInitializersClassName

    public java.lang.String getElementInitializersClassName()

  Gets the name of the class to hold the initializer methods for domain elements

  ** Generated **
  Model:
    kind="operation"

### getElementInitializersPackageName

    public java.lang.String getElementInitializersPackageName()

  Gets the name of the package to hold the element initializers class

  ** Generated **
  Model:
    kind="operation"

### getMetaPackageName

    public java.lang.String getMetaPackageName(ImportAssistant importManager)

  Shorthand for `importManager.getImportedName(genDiagram.getDomainDiagramElement().getGenPackage().getQualifiedPackageInterfaceName())` NOTE: genPackage for domainDiagramElement only (not editor-wide domain model!), don't use it for features/classes/references found in GenLink/GenNodes!

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.